libvisio::VSDLineStyle Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDLineStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDLineStyle ()
| VSDLineStyle (double w, Colour col, unsigned char p, unsigned char sm, unsigned char em, unsigned char c)
| VSDLineStyle (const VSDLineStyle &style)
| ~VSDLineStyle ()
void | override (const VSDOptionalLineStyle &style)

## Public Attributes
double | width
Colour | colour
unsigned char | pattern
unsigned char | startMarker
unsigned char | endMarker
unsigned char | cap

## Constructor & Destructor Documentation

libvisio::VSDLineStyle::VSDLineStyle | ( |  | ) |
| inline

libvisio::VSDLineStyle::VSDLineStyle | ( | double | w,
|  | Colour | col,
|  | unsigned char | p,
|  | unsigned char | sm,
|  | unsigned char | em,
|  | unsigned char | c
| ) |  |
| inline

libvisio::VSDLineStyle::VSDLineStyle | ( | const VSDLineStyle & | style | ) |
| inline

libvisio::VSDLineStyle::~VSDLineStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDLineStyle::override | ( | const VSDOptionalLineStyle & | style | ) |
| inline

## Member Data Documentation

unsigned char libvisio::VSDLineStyle::cap

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

Colour libvisio::VSDLineStyle::colour

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

unsigned char libvisio::VSDLineStyle::endMarker

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

unsigned char libvisio::VSDLineStyle::pattern

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

unsigned char libvisio::VSDLineStyle::startMarker

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

double libvisio::VSDLineStyle::width

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

The documentation for this struct was generated from the following file:

- VSDStyles.h